Bug 293841

Summary: xchat.desktop: include app name in Name=
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: xchatAssignee: Kevin Kofler <kevin>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: caillon, fedora, kevin
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.8.6-11.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-29 08:15:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 315221    
Bug Blocks: 235705    

Description Rex Dieter 2007-09-17 15:55:08 EDT
Per discussion:
https://www.redhat.com/archives/fedora-devel-list/2007-September/msg01381.html

Please update .desktop files to include the name of the app in the Name=
field, ie,
xchat.desktop to contain (something like):
Name=xchat
GenericName=IRC
or
Name=xchat IRC
(and not use GenericName at all)
Comment 1 Kevin Kofler 2007-09-17 20:02:23 EDT
I'll take care of this.

> Name=xchat
> GenericName=IRC
This one is what I personally prefer. However, when I tried to implement this, 
Christopher Aillon, the primary maintainer, really didn't like it, see Bug 
241923. (This is also how we ended up with this discussion on the 
fedora-devel-list in the first place.) I really hope this can be reconsidered, 
because this is what the entries SHOULD be according to the desktop entry 
specification at freedesktop.org.

> Name=xchat IRC
> (and not use GenericName at all)
While I don't really like this one, it's better than the status quo, so if we 
can agree on this one as a compromise, I'll implement it for now. Christopher 
Aillon, are you OK with this one?

(To be pedantic, I'd spell it "XChat" resp. "XChat IRC" because that's how 
upstream spells it, only the tarball and package names are all lowercase.)
Comment 2 Kevin Kofler 2007-12-18 18:53:20 EST
So are there any objections against changing the Name field to:
Name=XChat IRC
? (That's also what upstream uses FWIW.) If that is an acceptable compromise, 
then I'll change it to that. Christopher Aillon?
Comment 3 Kevin Kofler 2008-01-07 10:18:45 EST
caillon: Ping?
Comment 4 Christopher Aillon 2008-01-07 10:31:07 EST
Sorry, I'm just now catching up to bugmail from the holidays.  mclasen posted
about this topic on fedora-desktop-list just before the holidays and was looking
for feedback. 
https://www.redhat.com/archives/fedora-desktop-list/2007-December/msg00047.html
Comment 5 Bug Zapper 2008-05-13 23:14:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 18:50:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Kevin Kofler 2009-06-09 20:20:15 EDT
So, can I finally put "Name=XChat IRC" now? I'm OK with not using GenericName as GNOME doesn't support it, but we need to mention the actual name!
Comment 8 Rex Dieter 2009-06-28 14:27:06 EDT
Kevin, please do so, as that's the consensus (as I understand it) on how to proceed.
Comment 9 Fedora Update System 2009-08-07 09:05:28 EDT
xchat-2.8.6-11.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xchat-2.8.6-11.fc11
Comment 10 Fedora Update System 2009-08-08 15:28:28 EDT
xchat-2.8.6-11.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.